#pragma once
#ifndef _DISPLAY_H_
#define _DISPLAY_H_

/* Includes */
#include "main.h"

/* Exported constants */
#define DISPLAY_COLUMNS   24

/* Variables */
extern uint8_t display_Buffer[];

/* Exported function prototypes */
void display_Init(void);
void display_WriteData(const uint8_t * data, uint8_t addr, uint8_t len);
void display_WriteBuffer(void);
void display_WriteBuf(const uint8_t * buf);
void display_PWM(uint8_t pwm);
void display_BlinkState(dis_en_t state);
void display_LedState(dis_en_t state);
void display_Fill(uint8_t pattern);
void display_Char(const uint8_t symb, uint8_t column);
void display_String(const char * string, uint8_t repeat);

#endif /* _DISPLAY_H_ */
